package com.hchyun.generator.dao;

import com.hchyun.generator.entity.AssColumn;

import java.util.List;
import java.util.Map;

/**
 * @Author 18209
 * @Date 2021/2/5 17:41
 * @Version 1.0
 */
public interface AssociatedDao {

    /**
     * 获取表信息
     * @return
     */
    List<Map<String,Object>> tableInfos();

    /**
     * 获取表字段信息
     * @param tableName
     * @return
     */
    List<AssColumn> selectTableColumn(String tableName);

    /**
     * 通过tableId删除字段信息
     * @param tableId
     * @return
     */
    Integer deleteTableColumn(Long tableId);

    /**
     * 批量增加字段信息
     * @param assColumns
     * @return
     */
    Integer insertColumns(List<AssColumn> assColumns);

    /**
     * 通过tableId获取字段信息
     * @param tableId
     * @return
     */
    List<AssColumn> selectTableColumnByTableId(Long tableId);
}
